Bug 518494 - Touchscreen on MSI Wind AE1900 incorrectly configured as touchpad
Summary: Touchscreen on MSI Wind AE1900 incorrectly configured as touchpad
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-evdev
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-20 15:46 UTC by Tom Atkinson
Modified: 2018-04-11 16:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:12:06 UTC


Attachments (Terms of Use)
Xorg.log before code change (33.70 KB, text/plain)
2009-08-20 15:46 UTC, Tom Atkinson
no flags Details
Xorg.log after code change (42.92 KB, text/plain)
2009-08-20 15:46 UTC, Tom Atkinson
no flags Details
xinput output for the device (1012 bytes, text/plain)
2009-08-20 15:47 UTC, Tom Atkinson
no flags Details
Xorg log file from Fedora 12 (new install with updates) (22.62 KB, text/plain)
2010-01-18 21:23 UTC, Fred Wittekind IV
no flags Details
Fedora 12 /proc/bus/input/devices (2.64 KB, text/plain)
2010-01-18 21:24 UTC, Fred Wittekind IV
no flags Details
Fedora 12 lshal output (109.06 KB, text/plain)
2010-01-18 21:24 UTC, Fred Wittekind IV
no flags Details
Hal policy FDI file that was added to correct issue in Fedora 12 (411 bytes, text/plain)
2010-01-18 21:27 UTC, Fred Wittekind IV
no flags Details
Xorg log file after attached HAL policy file was put in place. (29.95 KB, text/plain)
2010-01-18 21:28 UTC, Fred Wittekind IV
no flags Details

Description Tom Atkinson 2009-08-20 15:46:25 UTC
Created attachment 358122 [details]
Xorg.log before code change

Description of problem:

The MSI Wind AE1900 'net top' has a built-in touch screen identified as an  'IDEACO IDC 6681'. evdev configures this as a touchpad. As a result of this the cursor does not react appropriately and tapping does not function.

Version-Release number of selected component (if applicable): 2.2.4-1

Steps to Reproduce:
1. Boot machine into X
2. Check Xorg.log
  
Actual results:
"Found absolute touchpad"

Expected results:
"Found absolute touchscreen"

Additional info:

If evdev.c is modified from

if (num_buttons || TestBit(BTN_TOOL_FINGER, pEvdev->key_bitmask)) {

to

if (TestBit(BTN_TOOL_FINGER, pEvdev->key_bitmask)) {

it works as expected, however this is probably not the best fix.

Comment 1 Tom Atkinson 2009-08-20 15:46:56 UTC
Created attachment 358123 [details]
Xorg.log after code change

Comment 2 Tom Atkinson 2009-08-20 15:47:43 UTC
Created attachment 358124 [details]
xinput output for the device

Comment 3 Matěj Cepl 2009-11-05 18:36:46 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 4 Chris Campbell 2010-01-15 01:14:18 UTC
Original Reporter:
First, sorry about how long this bug report has sat with no triage being done. Would you be willing to install and update a current release Fedora 12 and let us know if this issue still exists? If you are, and it does, I'll assist in pushing this forward to a dev for patching.

Thank you for your efforts.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Fred Wittekind IV 2010-01-18 21:23:27 UTC
Created attachment 385245 [details]
Xorg log file from Fedora 12 (new install with updates)

Comment 6 Fred Wittekind IV 2010-01-18 21:24:27 UTC
Created attachment 385246 [details]
Fedora 12 /proc/bus/input/devices

Comment 7 Fred Wittekind IV 2010-01-18 21:24:56 UTC
Created attachment 385247 [details]
Fedora 12 lshal output

Comment 8 Fred Wittekind IV 2010-01-18 21:27:35 UTC
Created attachment 385249 [details]
Hal policy FDI file that was added to correct issue in Fedora 12

Comment 9 Fred Wittekind IV 2010-01-18 21:28:39 UTC
Created attachment 385251 [details]
Xorg log file after attached HAL policy file was put in place.

Comment 10 Fred Wittekind IV 2010-01-18 21:37:17 UTC
I'm not the original reporter, but I have the same model machine (AE1900), and am trying to make the touch screen work properly (IDEACO IDC 6681), and I have Fedora 12 loaded on it.

It tried to treat it like a Synaptics device at first, that didn't work.  Was able to get it working with the attached FDI file.  The device appears to present itself as two devices, one I get events out of, the other I don't.  Having both as xinput devices breaks the calibration utility that I used, so the FDI file disables one of them (the one that doesn't generate any events).
(http://freedesktop.org/wiki/Software/xinput_calibrator)

Comment 11 Peter Hutterer 2010-02-04 22:16:40 UTC
(In reply to comment #10)
> The device appears to present itself as two devices, one I get events out of, the other I don't. 

I guess this is the usual side-effect of the HID_QUIRK_MULTI_INPUT in the kernel for this device.

Comment 12 Bug Zapper 2010-04-28 09:51:18 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Bug Zapper 2010-06-28 14:12:06 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.